Subject: Re: [PATCH net-next v2] selftest: epoll_busy_poll: epoll busy poll tests

From: Jakub Kicinski <[email-masked]>
Date: Mon, 6 May 2024 19:02:45 -0700

On Mon, 6 May 2024 18:40:00 -0700 Joe Damato wrote:
> Ah, sorry -- this is because I had assumed the test would run without
> CAP_NET_ADMIN, but since:
> 
>   epoll_busy_poll.c:204:test_set_invalid:Expected -1 (-1) == ret (0)
> 
> succeeds (ret = 0), clearly I am mistaken. Sorry about that.
> 
> I think I'll spin up a v3 and I'll add a test with and without
> CAP_NET_ADMIN to check both cases, which would probably be better anyway.

FWIW the tests run a in separate process from the harness, so it may 
be possible to drop privileges inside the test, without affecting other
test cases. But I've never done it myself, so not sure how easy it is
to do in practice..